org.apache.lucene.index

## Class MergeState

- java.lang.Object
- - org.apache.lucene.index.MergeState

-     public class MergeState
      extends Object

  Holds common state used during segment merging.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MergeState.DocMap` Remaps docids around deletes during merge

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[]` | `docBase` New docID base per reader.
    `MergeState.DocMap[]` | `docMaps` Maps docIDs around deletions.
    `DocValuesProducer[]` | `docValuesProducers` DocValues producers being merged
    `FieldInfos[]` | `fieldInfos` FieldInfos being merged
    `FieldsProducer[]` | `fieldsProducers` Postings to merge
    `InfoStream` | `infoStream` InfoStream for debugging messages.
    `Bits[]` | `liveDocs` Live docs for each reader
    `int[]` | `maxDocs` Max docs per reader
    `FieldInfos` | `mergeFieldInfos` `FieldInfos` of the newly merged segment.
    `NormsProducer[]` | `normsProducers` Norms producers being merged
    `SegmentInfo` | `segmentInfo` `SegmentInfo` of the newly merged segment.
    `StoredFieldsReader[]` | `storedFieldsReaders` Stored field producers being merged
    `TermVectorsReader[]` | `termVectorsReaders` Term vector producers being merged

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### segmentInfo

          public final SegmentInfo segmentInfo

      `SegmentInfo` of the newly merged segment.

    - #### mergeFieldInfos

          public FieldInfos mergeFieldInfos

      `FieldInfos` of the newly merged segment.

    - #### storedFieldsReaders

          public final StoredFieldsReader[] storedFieldsReaders

      Stored field producers being merged

    - #### termVectorsReaders

          public final TermVectorsReader[] termVectorsReaders

      Term vector producers being merged

    - #### normsProducers

          public final NormsProducer[] normsProducers

      Norms producers being merged

    - #### docValuesProducers

          public final DocValuesProducer[] docValuesProducers

      DocValues producers being merged

    - #### fieldInfos

          public final FieldInfos[] fieldInfos

      FieldInfos being merged

    - #### liveDocs

          public final Bits[] liveDocs

      Live docs for each reader

    - #### docMaps

          public final MergeState.DocMap[] docMaps

      Maps docIDs around deletions.

    - #### fieldsProducers

          public final FieldsProducer[] fieldsProducers

      Postings to merge

    - #### docBase

          public final int[] docBase

      New docID base per reader.

    - #### maxDocs

          public final int[] maxDocs

      Max docs per reader

    - #### infoStream

          public final InfoStream infoStream

      InfoStream for debugging messages.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.